#!/usr/bin/env python3
"""
Check the current state of the scraper (active/inactive, paused/unpaused)
"""

from scipaperloader.models import ScraperState
from scipaperloader import create_app

app = create_app()

with app.app_context():
    scraper_state = ScraperState.query.first()
    print(f"Active: {scraper_state.is_active}, Paused: {scraper_state.is_paused}")
